Main Page Widgets Namespaces Book

# printer.h File Reference

## Namespaces

namespace | Glib
namespace | Gtk

## Classes

class | Gtk::Printer
| A Printer object represents a printer. More...

## Enumerations

enum

Gtk::PrintCapabilities {
Gtk::PRINT_CAPABILITY_PAGE_SET = 1 << 0,
Gtk::PRINT_CAPABILITY_COPIES = 1 << 1,
Gtk::PRINT_CAPABILITY_COLLATE = 1 << 2,
Gtk::PRINT_CAPABILITY_REVERSE = 1 << 3,
Gtk::PRINT_CAPABILITY_SCALE = 1 << 4,
Gtk::PRINT_CAPABILITY_GENERATE_PDF = 1 << 5,
Gtk::PRINT_CAPABILITY_GENERATE_PS = 1 << 6,
Gtk::PRINT_CAPABILITY_PREVIEW = 1 << 7,
Gtk::PRINT_CAPABILITY_NUMBER_UP = 1 << 8
}

Bitwise operators:
  `PrintCapabilities operator|(PrintCapabilities, PrintCapabilities)`
  `PrintCapabilities operator&(PrintCapabilities, PrintCapabilities)`
  `PrintCapabilities operator^(PrintCapabilities, PrintCapabilities)`
  `PrintCapabilities operator~(PrintCapabilities)`
  `PrintCapabilities& operator|=(PrintCapabilities&, PrintCapabilities)`
  `PrintCapabilities& operator&=(PrintCapabilities&, PrintCapabilities)`
  `PrintCapabilities& operator^=(PrintCapabilities&, PrintCapabilities)`

More...

## Functions

PrintCapabilities | Gtk::operator& (PrintCapabilities lhs, PrintCapabilities rhs)
PrintCapabilities& | Gtk::operator&= (PrintCapabilities& lhs, PrintCapabilities rhs)
PrintCapabilities | Gtk::operator^ (PrintCapabilities lhs, PrintCapabilities rhs)
PrintCapabilities& | Gtk::operator^= (PrintCapabilities& lhs, PrintCapabilities rhs)
PrintCapabilities | Gtk::operator| (PrintCapabilities lhs, PrintCapabilities rhs)
PrintCapabilities& | Gtk::operator|= (PrintCapabilities& lhs, PrintCapabilities rhs)
PrintCapabilities | Gtk::operator~ (PrintCapabilities flags)